import { createApp } from 'vue'
import App from './App.vue'
import router from './router'
import store from './store'
import 'normalize.css'
import '@/font/font.css';
import './style/common.scss'
import '@vant/touch-emulator';//vant 
import 'vant/lib/index.css';
import '@/utils/rem.js';

import {injectSdk} from '@/views/utils/wxShare.js';

import VConsole from 'vconsole'
console.log(import.meta.env.MODE)
if(import.meta.env.MODE!=='production') {
  new VConsole()
}

injectSdk()

const app=createApp(App)
app.use(router).use(store).mount('#app')

app.$store = store;